org.apache.jmeter.testbeans.gui

## Class BooleanPropertyEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.apache.jmeter.testbeans.gui.BooleanPropertyEditor

- All Implemented Interfaces:
    java.beans.PropertyEditor

      public class BooleanPropertyEditor
      extends java.beans.PropertyEditorSupport

  Property Editor which handles Boolean properties.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanPropertyEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAsText()`
    `java.lang.String[]` | `getTags()`
    `void` | `setAsText(java.lang.String text)`
    `void` | `setValue(java.lang.Object value)`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanPropertyEditor

          public BooleanPropertyEditor()

  - ### Method Detail

    - #### getAsText

          public java.lang.String getAsText()

      Specified by:
        `getAsText` in interface `java.beans.PropertyEditor`
      Overrides:
        `getAsText` in class `java.beans.PropertyEditorSupport`

    - #### setAsText

          public void setAsText(java.lang.String text)

      Specified by:
        `setAsText` in interface `java.beans.PropertyEditor`
      Overrides:
        `setAsText` in class `java.beans.PropertyEditorSupport`

    - #### setValue

          public void setValue(java.lang.Object value)

      Specified by:
        `setValue` in interface `java.beans.PropertyEditor`
      Overrides:
        `setValue` in class `java.beans.PropertyEditorSupport`

    - #### getTags

          public java.lang.String[] getTags()

      Specified by:
        `getTags` in interface `java.beans.PropertyEditor`
      Overrides:
        `getTags` in class `java.beans.PropertyEditorSupport`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.